#include <mpi.h>
#include <stdio.h>
#include <stdlib.h>

int main(int argc, char** argv, char** environ)
{
  int i;
  int my_rank;	/* Rank of process */
  int p;        /* Number of processors */

  MPI_Init(&argc, &argv);
  MPI_Comm_rank(MPI_COMM_WORLD, &my_rank);
  MPI_Comm_size(MPI_COMM_WORLD, &p);

  printf("my rank is %d\n", my_rank);
  printf("sizeof(int) = %ld\nsizeof(void*) = %ld\n", (unsigned long) sizeof(int), (unsigned long) sizeof(void*));
  printf("My pid is %d.\n", getpid());
  printf("I have %d arguments and they are:\n", argc);
  for(i=0;i<argc;i++)
    printf("%d: %s\n", i, argv[i]);

  usleep(250*1000);

  MPI_Finalize();
  printf("all done...(%d)\n",my_rank);
  return 0;
} /* main */
